Create a label
curl --request POST \
--url https://app.tryordinal.com/api/v1/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering",
"color": "green"
}
'import requests
url = "https://app.tryordinal.com/api/v1/labels"
payload = {
"name": "Engineering",
"color": "green"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Engineering', color: 'green'})
};
fetch('https://app.tryordinal.com/api/v1/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440402",
"name": "Engineering",
"color": "#16a34a",
"backgroundColor": "#dcfce7",
"createdAt": "2026-01-05T10:30:00.000Z",
"updatedAt": "2026-01-05T10:30:00.000Z"
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "CONFLICT",
"message": "Label with name \"Marketing\" already exists"
}Labels
Create a label
Create a new label in the workspace
POST
/
labels
Create a label
Authorizations
API key authentication. Generate an API key from your workspace settings.
Body
application/json
Was this page helpful?
⌘I